Bug 189031 - lsof crashes system
lsof crashes system
Status: CLOSED DUPLICATE of bug 189260
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
: Security
Depends On:
Blocks: 170416
  Show dependency treegraph
 
Reported: 2006-04-14 18:25 EDT by Eric Eisenhart
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 13:24:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen capture from one crash (11.69 KB, image/png)
2006-04-14 18:25 EDT, Eric Eisenhart
no flags Details
Another screen capture from a different system crashing from this bug (11.63 KB, image/png)
2006-04-14 18:28 EDT, Eric Eisenhart
no flags Details

  None (edit)
Description Eric Eisenhart 2006-04-14 18:25:23 EDT
Description of problem:
Running lsof enough times results in a kernel crash.  Possible to do as a
non-root user.

Version-Release number of selected component (if applicable):
lsof-4.72-1.1
kernel-smp-2.6.9-34.EL

How reproducible:
Run this as any user:
while sleep 1; do for i in {1..100}; do /usr/sbin/lsof > /dev/null & done ; done
Give it several minutes.

(also possible to reproduce with much more reasonable uses of lsof, such as
something equivalent to "while sleep 60 ; do lsof ; done", but that takes
several days)

Steps to Reproduce:
1. Boot up RHEL4AS Update 3
2. run lsof a bunch of times, such as "while sleep 1; do for i in {1..100}; do
/usr/sbin/lsof > /dev/null & done ; done"
3. wait several minutes
  
Actual results:
kernel panic.  messages left on screen show the process as lsof and a call trace
showing seq_read, vfs_read, sys_read, syscall_call and schedule.

Expected results:
Not crashing.

Additional info:
Able to reproduce on several different systems with a 2.6.9-34 SMP kernel;
unable to reproduce on 2.6.9-22.0.1
Comment 1 Eric Eisenhart 2006-04-14 18:25:23 EDT
Created attachment 127763 [details]
screen capture from one crash
Comment 2 Eric Eisenhart 2006-04-14 18:28:13 EDT
Created attachment 127764 [details]
Another screen capture from a different system crashing from this bug
Comment 6 Jason Baron 2006-04-18 13:24:30 EDT

*** This bug has been marked as a duplicate of 189260 ***

Note You need to log in before you can comment on or make changes to this bug.